package com.linkwechat.common.enums;

import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * @author danmo
 * @description 企业微信全局错误码
 * @date 2021/9/30 11:13
 **/
@NoArgsConstructor
@Getter
public enum WeErrorCodeEnum {

    ERROR_CODE_OWE_1(-1, "系统繁忙"),
    ERROR_CODE_0(0, "请求成功"),
    ERROR_CODE_6000(6000, "数据版本冲突"),
    ERROR_CODE_40001(40001, "不合法的secret参数"),
    ERROR_CODE_40003(40003, "无效的UserID"),
    ERROR_CODE_40004(40004, "不合法的媒体文件类型"),
    ERROR_CODE_40005(40005, "不合法的type参数"),
    ERROR_CODE_40006(40006, "不合法的文件大小"),
    ERROR_CODE_40007(40007, "不合法的media_id参数"),
    ERROR_CODE_40008(40008, "不合法的msgtype参数"),
    ERROR_CODE_40009(40009, "上传图片大小不是有效值"),
    ERROR_CODE_40011(40011, "上传视频大小不是有效值"),
    ERROR_CODE_40013(40013, "不合法的CorpID"),
    ERROR_CODE_40014(40014, "不合法的access_token"),
    ERROR_CODE_40016(40016, "不合法的按钮个数"),
    ERROR_CODE_40017(40017, "不合法的按钮类型"),
    ERROR_CODE_40018(40018, "不合法的按钮名字长度"),
    ERROR_CODE_40019(40019, "不合法的按钮KEY长度"),
    ERROR_CODE_40020(40020, "不合法的按钮URL长度"),
    ERROR_CODE_40022(40022, "不合法的子菜单级数"),
    ERROR_CODE_40023(40023, "不合法的子菜单按钮个数"),
    ERROR_CODE_40024(40024, "不合法的子菜单按钮类型"),
    ERROR_CODE_40025(40025, "不合法的子菜单按钮名字长度"),
    ERROR_CODE_40026(40026, "不合法的子菜单按钮KEY长度"),
    ERROR_CODE_40027(40027, "不合法的子菜单按钮URL长度"),
    ERROR_CODE_40029(40029, "不合法的oauth_code"),
    ERROR_CODE_40031(40031, "不合法的UserID列表"),
    ERROR_CODE_40032(40032, "不合法的UserID列表长度"),
    ERROR_CODE_40033(40033, "不合法的请求字符"),
    ERROR_CODE_40035(40035, "不合法的参数"),
    ERROR_CODE_40036(40036, "不合法的模板id长度"),
    ERROR_CODE_40037(40037, "无效的模板id"),
    ERROR_CODE_40039(40039, "不合法的url长度"),
    ERROR_CODE_40050(40050, "chatid不存在"),
    ERROR_CODE_40054(40054, "不合法的子菜单url域名"),
    ERROR_CODE_40055(40055, "不合法的菜单url域名"),
    ERROR_CODE_40056(40056, "不合法的agentid"),
    ERROR_CODE_40057(40057, "不合法的callbackurl或者callbackurl验证失败"),
    ERROR_CODE_40058(40058, "不合法的参数"),
    ERROR_CODE_40059(40059, "不合法的上报地理位置标志位"),
    ERROR_CODE_40063(40063, "参数为空"),
    ERROR_CODE_40066(40066, "不合法的部门列表"),
    ERROR_CODE_40068(40068, "不合法的标签ID"),
    ERROR_CODE_40070(40070, "指定的标签范围结点全部无效"),
    ERROR_CODE_40071(40071, "不合法的标签名字"),
    ERROR_CODE_40072(40072, "不合法的标签名字长度"),
    ERROR_CODE_40073(40073, "不合法的openid"),
    ERROR_CODE_40074(40074, "news消息不支持保密消息类型"),
    ERROR_CODE_40077(40077, "不合法的pre_auth_code参数"),
    ERROR_CODE_40078(40078, "不合法的auth_code参数"),
    ERROR_CODE_40080(40080, "不合法的suite_secret"),
    ERROR_CODE_40082(40082, "不合法的suite_token"),
    ERROR_CODE_40083(40083, "不合法的suite_id"),
    ERROR_CODE_40084(40084, "不合法的permanent_code参数"),
    ERROR_CODE_40085(40085, "不合法的的suite_ticket参数"),
    ERROR_CODE_40086(40086, "不合法的第三方应用appid"),
    ERROR_CODE_40088(40088, "jobid不存在"),
    ERROR_CODE_40089(40089, "批量任务的结果已清理"),
    ERROR_CODE_40091(40091, "secret不合法"),
    ERROR_CODE_40092(40092, "导入文件存在不合法的内容"),
    ERROR_CODE_40093(40093, "jsapi签名错误"),
    ERROR_CODE_40094(40094, "不合法的URL"),
    ERROR_CODE_40096(40096, "不合法的外部联系人userid"),
    ERROR_CODE_40097(40097, "该成员尚未离职"),
    ERROR_CODE_40098(40098, "成员尚未实名认证"),
    ERROR_CODE_40099(40099, "外部联系人的数量已达上限"),
    ERROR_CODE_40100(40100, "此用户的外部联系人已经在转移流程中"),
    ERROR_CODE_40102(40102, "域名或IP不可与应用市场上架应用重复"),
    ERROR_CODE_40123(40123, "上传临时图片素材，图片格式非法"),
    ERROR_CODE_40124(40124, "推广活动里的sn禁止绑定"),
    ERROR_CODE_40125(40125, "无效的openuserid参数"),
    ERROR_CODE_40126(40126, "企业标签个数达到上限，最多为3000个"),
    ERROR_CODE_40127(40127, "不支持的uri schema"),
    ERROR_CODE_40128(40128, "客户转接过于频繁（90天内只允许转接一次，同一个客户最多只能转接两次）"),
    ERROR_CODE_40129(40129, "当前客户正在转接中"),
    ERROR_CODE_40130(40130, "原跟进人与接手人一样，不可继承"),
    ERROR_CODE_40131(40131, "handover_userid 并不是外部联系人的跟进人"),
    ERROR_CODE_41001(41001, "缺少access_token参数"),
    ERROR_CODE_41002(41002, "缺少corpid参数"),
    ERROR_CODE_41004(41004, "缺少secret参数"),
    ERROR_CODE_41006(41006, "缺少media_id参数"),
    ERROR_CODE_41008(41008, "缺少auth code参数"),
    ERROR_CODE_41009(41009, "缺少userid参数"),
    ERROR_CODE_41010(41010, "缺少url参数"),
    ERROR_CODE_41011(41011, "缺少agentid参数"),
    ERROR_CODE_41016(41016, "缺少title参数"),
    ERROR_CODE_41019(41019, "缺少 department 参数"),
    ERROR_CODE_41017(41017, "缺少tagid参数"),
    ERROR_CODE_41021(41021, "缺少suite_id参数"),
    ERROR_CODE_41022(41022, "缺少suite_access_token参数"),
    ERROR_CODE_41023(41023, "缺少suite_ticket参数"),
    ERROR_CODE_41024(41024, "缺少secret参数"),
    ERROR_CODE_41025(41025, "缺少permanent_code参数"),
    ERROR_CODE_41033(41033, "缺少 description 参数"),
    ERROR_CODE_41035(41035, "缺少外部联系人userid参数"),
    ERROR_CODE_41036(41036, "不合法的企业对外简称"),
    ERROR_CODE_41037(41037, "缺少「联系我」type参数"),
    ERROR_CODE_41038(41038, "缺少「联系我」scene参数"),
    ERROR_CODE_41039(41039, "无效的「联系我」type参数"),
    ERROR_CODE_41040(41040, "无效的「联系我」scene参数"),
    ERROR_CODE_41041(41041, "「联系我」使用人数超过限制"),
    ERROR_CODE_41042(41042, "无效的「联系我」style参数"),
    ERROR_CODE_41043(41043, "缺少「联系我」config_id参数"),
    ERROR_CODE_41044(41044, "无效的「联系我」config_id参数"),
    ERROR_CODE_41045(41045, "API添加「联系我」达到数量上限"),
    ERROR_CODE_41046(41046, "缺少企业群发消息id"),
    ERROR_CODE_41047(41047, "无效的企业群发消息id"),
    ERROR_CODE_41048(41048, "无可发送的客户"),
    ERROR_CODE_41049(41049, "缺少欢迎语code参数"),
    ERROR_CODE_41050(41050, "无效的欢迎语code"),
    ERROR_CODE_41051(41051, "客户和服务人员已经开始聊天了"),
    ERROR_CODE_41052(41052, "无效的发送时间"),
    ERROR_CODE_41053(41053, "客户未同意聊天存档"),
    ERROR_CODE_41054(41054, "该用户尚未激活"),
    ERROR_CODE_41055(41055, "群欢迎语模板数量达到上限"),
    ERROR_CODE_41056(41056, "外部联系人id类型不正确"),
    ERROR_CODE_41057(41057, "企业或服务商未绑定微信开发者账号"),
    ERROR_CODE_41058(41058, "无此群欢迎语模板的编辑权限"),
    ERROR_CODE_41059(41059, "缺少moment_id参数"),
    ERROR_CODE_41060(41060, "不合法的moment_id参数"),
    ERROR_CODE_41061(41061, "不合法朋友圈发送成员userid，当前朋友圈并非此用户发表"),
    ERROR_CODE_41062(41062, "企业创建的朋友圈尚未被成员userid发表"),
    ERROR_CODE_41063(41063, "群发消息正在被派发中，请稍后再试"),
    ERROR_CODE_41064(41064, "附件大小超过限制"),
    ERROR_CODE_41065(41065, "无效的附件类型"),
    ERROR_CODE_41066(41066, "用户视频号名称错误"),
    ERROR_CODE_41067(41067, "朋友圈moment_id类型错误"),
    ERROR_CODE_41068(41068, "聊天敏感词列表超过了限制"),
    ERROR_CODE_41069(41069, "聊天敏感词规则总数超过了限制"),
    ERROR_CODE_41070(41070, "无效的聊天敏感词规则id"),
    ERROR_CODE_41071(41071, "聊天敏感词规则已经被删除"),
    ERROR_CODE_41072(41072, "资源附件场景使用错误"),
    ERROR_CODE_41073(41073, "商品图册描述不符合标准"),
    ERROR_CODE_41074(41074, "商品图册数据已经被删除"),
    ERROR_CODE_41075(41075, "无效的商品图册id或者数据不存在"),
    ERROR_CODE_41076(41076, "聊天敏感词规则适用范围超过限制"),
    ERROR_CODE_41077(41077, "聊天敏感词规则名称不唯一"),
    ERROR_CODE_41078(41078, "创建朋友圈正在进行的异步任务总数超过了限制"),
    ERROR_CODE_41079(41079, "朋友圈正在被派发中，请稍后再试"),
    ERROR_CODE_41102(41102, "缺少菜单名"),
    ERROR_CODE_42001(42001, "access_token已过期"),
    ERROR_CODE_42007(42007, "pre_auth_code已过期"),
    ERROR_CODE_42009(42009, "suite_access_token已过期"),
    ERROR_CODE_42012(42012, "jsapi_ticket不可用，一般是没有正确调用接口来创建jsapi_ticket"),
    ERROR_CODE_42013(42013, "小程序未登陆或登录态已经过期"),
    ERROR_CODE_42014(42014, "任务卡片消息的task_id不合法"),
    ERROR_CODE_42015(42015, "更新的消息的应用与发送消息的应用不匹配"),
    ERROR_CODE_42016(42016, "更新的task_id不存在"),
    ERROR_CODE_42017(42017, "按钮key值不存在"),
    ERROR_CODE_42018(42018, "按钮key值不合法"),
    ERROR_CODE_42019(42019, "缺少按钮key值不合法"),
    ERROR_CODE_42020(42020, "缺少按钮名称"),
    ERROR_CODE_42021(42021, "device_access_token 过期"),
    ERROR_CODE_42022(42022, "code已经被使用过。只能使用一次"),
    ERROR_CODE_42027(42027, "Template_Card.horizontal_content_list.keyname 字段缺失"),
    ERROR_CODE_42028(42028, "Template_Card 缺失 Url，card_action、horizontal_content_list、jump_list缺失该字段都可能报此错误"),
    ERROR_CODE_42029(42029, "Template_Card 缺失 mediaid，Template_Card.horizontal_content_list.mediaid 字段缺失"),
    ERROR_CODE_42030(42030, "Template_Card 缺失 appid，card_action、jump_list 缺失该字段都可能报此错误"),
    ERROR_CODE_42031(42031, "Template_Card.CardType 字段不合法"),
    ERROR_CODE_42033(42033, "Template_Card.缺失 Title，vertical_content_list、jump_list缺失该字段都可能报此错误"),
    ERROR_CODE_42035(42035, "Template_Card.horizontal_content_list 数组长度不合法"),
    ERROR_CODE_42036(42036, "Template_Card.vertical_content_list 数组长度不合法"),
    ERROR_CODE_42037(42037, "Template_Card.option_list 数组长度不合法"),
    ERROR_CODE_42038(42038, "Template_Card.button_list.text 缺失或不合法"),
    ERROR_CODE_42039(42039, "Template_Card.button_list.key 缺失或不合法"),
    ERROR_CODE_42040(42040, "Template_Card.option_list.id 缺失或不合法"),
    ERROR_CODE_42041(42041, "Template_Card.option_list.text 缺失或不合法"),
    ERROR_CODE_42042(42042, "Template_Card.jump_list 数组长度不合法"),
    ERROR_CODE_42043(42043, "Template_Card.question_Key 缺失或不合法"),
    ERROR_CODE_42044(42044, "Template_Card.card_image.url 缺失或不合法"),
    ERROR_CODE_42045(42045, "Template_Card.card_action 缺失或不合法"),
    ERROR_CODE_42046(42046, "Template_Card.submit_button.key 缺失或不合法"),
    ERROR_CODE_42047(42047, "Template_Card.select_list 数组长度不合法"),
    ERROR_CODE_42049(42049, "Template_Card.submit_button.text 缺失或不合法"),
    ERROR_CODE_43004(43004, "指定的userid未绑定微信或未关注微工作台（原企业号）"),
    ERROR_CODE_43009(43009, "企业未验证主体"),
    ERROR_CODE_43012(43012, "应用需配置回调url"),
    ERROR_CODE_44001(44001, "多媒体文件为空"),
    ERROR_CODE_44004(44004, "文本消息content参数为空"),
    ERROR_CODE_45001(45001, "多媒体文件大小超过限制"),
    ERROR_CODE_45002(45002, "消息内容大小超过限制"),
    ERROR_CODE_45004(45004, "应用description参数长度不符合系统限制"),
    ERROR_CODE_45007(45007, "语音播放时间超过限制"),
    ERROR_CODE_45008(45008, "图文消息的文章数量不符合系统限制"),
    ERROR_CODE_45009(45009, "接口调用超过限制"),
    ERROR_CODE_45022(45022, "应用name参数长度不符合系统限制"),
    ERROR_CODE_45024(45024, "帐号数量超过上限"),
    ERROR_CODE_45026(45026, "触发删除用户数的保护"),
    ERROR_CODE_45029(45029, "回包大小超过上限"),
    ERROR_CODE_45032(45032, "图文消息author参数长度超过限制"),
    ERROR_CODE_45033(45033, "接口并发调用超过限制"),
    ERROR_CODE_45034(45034, "url必须有协议头"),
    ERROR_CODE_46003(46003, "菜单未设置"),
    ERROR_CODE_46004(46004, "指定的用户不存在"),
    ERROR_CODE_48002(48002, "API接口无权限调用"),
    ERROR_CODE_48003(48003, "不合法的suite_id"),
    ERROR_CODE_48004(48004, "授权关系无效"),
    ERROR_CODE_48005(48005, "API接口已废弃"),
    ERROR_CODE_48006(48006, "接口权限被收回"),
    ERROR_CODE_49004(49004, "签名不匹配"),
    ERROR_CODE_49008(49008, "群已经解散"),
    ERROR_CODE_50001(50001, "redirect_url未登记可信域名"),
    ERROR_CODE_50002(50002, "成员不在权限范围"),
    ERROR_CODE_50003(50003, "应用已禁用"),
    ERROR_CODE_50100(50100, "分页查询的游标无效"),
    ERROR_CODE_60001(60001, "部门长度不符合限制"),
    ERROR_CODE_60003(60003, "部门ID不存在"),
    ERROR_CODE_60004(60004, "父部门不存在"),
    ERROR_CODE_60005(60005, "部门下存在成员"),
    ERROR_CODE_60006(60006, "部门下存在子部门"),
    ERROR_CODE_60007(60007, "不允许删除根部门"),
    ERROR_CODE_60008(60008, "部门已存在"),
    ERROR_CODE_60009(60009, "部门名称含有非法字符"),
    ERROR_CODE_60010(60010, "部门存在循环关系"),
    ERROR_CODE_60011(60011, "指定的成员/部门/标签参数无权限"),
    ERROR_CODE_60012(60012, "不允许删除默认应用"),
    ERROR_CODE_60020(60020, "访问ip不在白名单之中"),
    ERROR_CODE_60021(60021, "userid不在应用可见范围内"),
    ERROR_CODE_60028(60028, "不允许修改第三方应用的主页 URL"),
    ERROR_CODE_60102(60102, "UserID已存在"),
    ERROR_CODE_60103(60103, "手机号码不合法"),
    ERROR_CODE_60104(60104, "手机号码已存在"),
    ERROR_CODE_60105(60105, "邮箱不合法"),
    ERROR_CODE_60106(60106, "邮箱已存在"),
    ERROR_CODE_60107(60107, "微信号不合法"),
    ERROR_CODE_60110(60110, "用户所属部门数量超过限制"),
    ERROR_CODE_60111(60111, "UserID不存在"),
    ERROR_CODE_60112(60112, "成员name参数不合法"),
    ERROR_CODE_60123(60123, "无效的部门id"),
    ERROR_CODE_60124(60124, "无效的父部门id"),
    ERROR_CODE_60125(60125, "非法部门名字"),
    ERROR_CODE_60127(60127, "缺少department参数"),
    ERROR_CODE_60129(60129, "成员手机和邮箱都为空"),
    ERROR_CODE_60132(60132, "is_leader_in_dept和department的元素个数不一致"),
    ERROR_CODE_60136(60136, "记录不存在"),
    ERROR_CODE_60137(60137, "家长手机号重复"),
    ERROR_CODE_60203(60203, "不合法的模版ID"),
    ERROR_CODE_60204(60204, "模版状态不可用"),
    ERROR_CODE_60205(60205, "模版关键词不匹配"),
    ERROR_CODE_60206(60206, "该种类型的消息只支持第三方独立应用使用"),
    ERROR_CODE_60207(60207, "第三方独立应用只允许发送模板消息"),
    ERROR_CODE_60208(60208, "第三方独立应用不支持指定@all，不支持参数toparty和totag"),
    ERROR_CODE_60209(60209, "缺少操作者vid"),
    ERROR_CODE_60210(60210, "选择成员列表为空"),
    ERROR_CODE_60211(60211, "SelectedTicket为空"),
    ERROR_CODE_60214(60214, "仅支持第三方应用调用"),
    ERROR_CODE_60215(60215, "传入SelectedTicket数量超过最大限制（10个）"),
    ERROR_CODE_60217(60217, "当前操作者无权限，操作者需要授权或者在可见范围内"),
    ERROR_CODE_60218(60218, "仅支持成员授权模式的应用可调用"),
    ERROR_CODE_60219(60219, "消费SelectedTicket和创建SelectedTicket的应用appid不匹配"),
    ERROR_CODE_60220(60220, "缺少corpappid"),
    ERROR_CODE_60221(60221, "open_userid对应的服务商不是当前服务商"),
    ERROR_CODE_60222(60222, "非法SelectedTicket"),
    ERROR_CODE_60223(60223, "非法BundleId"),
    ERROR_CODE_60224(60224, "非法PackageName"),
    ERROR_CODE_60225(60225, "当前操作者并非SelectedTicket相关人，不能创建群聊"),
    ERROR_CODE_60226(60226, "选人数量超过最大限制（2000）"),
    ERROR_CODE_60227(60227, "缺少ServiceCorpid"),
    ERROR_CODE_60228(60228, "缺少bind_corpid字段"),
    ERROR_CODE_60229(60229, "成员或者部门id不正确"),
    ERROR_CODE_60230(60230, "缺少shareticket"),
    ERROR_CODE_60231(60231, "shareticket非法"),
    ERROR_CODE_60233(60233, "shareticket非法"),
    ERROR_CODE_60234(60234, "shareticket非法"),
    ERROR_CODE_60235(60235, "缺少payment_id字段"),
    ERROR_CODE_60236(60236, "缺少trade_no字段"),
    ERROR_CODE_60237(60237, "传入的payment_id对应的收款项目不是由当前应用发起的"),
    ERROR_CODE_60239(60239, "收款人未实名"),
    ERROR_CODE_60240(60240, "收款企业尚未验证或者认证"),
    ERROR_CODE_60241(60241, "付款学生或者部门id不正确"),
    ERROR_CODE_60242(60242, "shareticket不能跨域名使用"),
    ERROR_CODE_60243(60243, "trade_no不合法"),
    ERROR_CODE_60244(60244, "shareticket不能跨APP使用"),
    ERROR_CODE_65000(65000, "学校已经迁移"),
    ERROR_CODE_65001(65001, "无效的关注模式"),
    ERROR_CODE_65002(65002, "导入家长信息数量过多"),
    ERROR_CODE_65003(65003, "学校尚未迁移"),
    ERROR_CODE_65004(65004, "组织架构不存在"),
    ERROR_CODE_65005(65005, "无效的同步模式"),
    ERROR_CODE_65006(65006, "无效的管理员类型"),
    ERROR_CODE_65007(65007, "无效的家校部门类型"),
    ERROR_CODE_65008(65008, "无效的入学年份"),
    ERROR_CODE_65009(65009, "无效的标准年级类型"),
    ERROR_CODE_65010(65010, "此userid并不是学生"),
    ERROR_CODE_65011(65011, "家长userid数量超过限制"),
    ERROR_CODE_65012(65012, "学生userid数量超过限制"),
    ERROR_CODE_65013(65013, "学生已有家长"),
    ERROR_CODE_65014(65014, "非学校企业"),
    ERROR_CODE_65015(65015, "父部门类型不匹配"),
    ERROR_CODE_65018(65018, "家长人数达到上限"),
    ERROR_CODE_65022(65022, "家校通迅录无权限"),
    ERROR_CODE_65023(65023, "家校通迅录无权限"),
    ERROR_CODE_660001(660001, "无效的商户号"),
    ERROR_CODE_660002(660002, "无效的企业收款人id"),
    ERROR_CODE_660003(660003, "userid不在应用的可见范围"),
    ERROR_CODE_660004(660004, "partyid不在应用的可见范围"),
    ERROR_CODE_660005(660005, "tagid不在应用的可见范围"),
    ERROR_CODE_660006(660006, "找不到该商户号"),
    ERROR_CODE_660007(660007, "申请已经存在"),
    ERROR_CODE_660008(660008, "商户号已经绑定"),
    ERROR_CODE_660009(660009, "商户号主体和商户主体不一致"),
    ERROR_CODE_660010(660010, "超过商户号绑定数量限制"),
    ERROR_CODE_660011(660011, "商户号未绑定"),
    ERROR_CODE_670001(670001, "应用不在共享范围"),
    ERROR_CODE_72023(72023, "发票已被其他公众号锁定"),
    ERROR_CODE_72024(72024, "发票状态错误"),
    ERROR_CODE_72037(72037, "存在发票不属于该用户"),
    ERROR_CODE_80001(80001, "可信域名不正确，或者无ICP备案"),
    ERROR_CODE_81001(81001, "部门下的结点数超过限制（3W）"),
    ERROR_CODE_81002(81002, "部门最多15层"),
    ERROR_CODE_81003(81003, "标签下节点个数超过30000个"),
    ERROR_CODE_81011(81011, "无权限操作标签"),
    ERROR_CODE_81012(81012, "缺失可见范围"),
    ERROR_CODE_81013(81013, "UserID、部门ID、标签ID全部非法或无权限"),
    ERROR_CODE_81014(81014, "标签添加成员，单次添加user或party过多"),
    ERROR_CODE_81015(81015, "邮箱域名需要跟企业邮箱域名一致"),
    ERROR_CODE_81016(81016, "logined_userid字段缺失"),
    ERROR_CODE_81017(81017, "请求个数超过限制"),
    ERROR_CODE_81018(81018, "该服务商可获取名字数量配额不足"),
    ERROR_CODE_81019(81019, "items数组成员缺少id字段"),
    ERROR_CODE_81020(81020, "items数组成员缺少type字段"),
    ERROR_CODE_81021(81021, "items数组成员的type字段不合法"),
    ERROR_CODE_82001(82001, "指定的成员/部门/标签全部为空"),
    ERROR_CODE_82002(82002, "不合法的PartyID列表长度"),
    ERROR_CODE_82003(82003, "不合法的TagID列表长度"),
    ERROR_CODE_82004(82004, "不合法的消息内容"),
    ERROR_CODE_84014(84014, "成员票据过期"),
    ERROR_CODE_84015(84015, "成员票据无效"),
    ERROR_CODE_84019(84019, "缺少templateid参数"),
    ERROR_CODE_84020(84020, "templateid不存在"),
    ERROR_CODE_84021(84021, "缺少register_code参数"),
    ERROR_CODE_84022(84022, "无效的register_code参数"),
    ERROR_CODE_84023(84023, "不允许调用设置通讯录同步完成接口"),
    ERROR_CODE_84024(84024, "无注册信息"),
    ERROR_CODE_84025(84025, "不符合的state参数"),
    ERROR_CODE_84052(84052, "缺少caller参数"),
    ERROR_CODE_84053(84053, "缺少callee参数"),
    ERROR_CODE_84054(84054, "缺少auth_corpid参数"),
    ERROR_CODE_84055(84055, "超过拨打公费电话频率"),
    ERROR_CODE_84056(84056, "被拨打用户安装应用时未授权拨打公费电话权限"),
    ERROR_CODE_84057(84057, "公费电话余额不足"),
    ERROR_CODE_84058(84058, "caller 呼叫号码不支持"),
    ERROR_CODE_84059(84059, "号码非法"),
    ERROR_CODE_84060(84060, "callee 呼叫号码不支持"),
    ERROR_CODE_84061(84061, "不存在外部联系人的关系"),
    ERROR_CODE_84062(84062, "未开启公费电话应用"),
    ERROR_CODE_84063(84063, "caller不存在"),
    ERROR_CODE_84064(84064, "callee不存在"),
    ERROR_CODE_84065(84065, "caller跟callee电话号码一致"),
    ERROR_CODE_84066(84066, "服务商拨打次数超过限制"),
    ERROR_CODE_84067(84067, "管理员收到的服务商公费电话个数超过限制"),
    ERROR_CODE_84069(84069, "拨打方被限制拨打公费电话"),
    ERROR_CODE_84070(84070, "不支持的电话号码"),
    ERROR_CODE_84071(84071, "不合法的外部联系人授权码"),
    ERROR_CODE_84072(84072, "应用未配置客服"),
    ERROR_CODE_84073(84073, "客服userid不在应用配置的客服列表中"),
    ERROR_CODE_84074(84074, "没有外部联系人权限"),
    ERROR_CODE_84075(84075, "不合法或过期的authcode"),
    ERROR_CODE_84076(84076, "缺失authcode"),
    ERROR_CODE_84077(84077, "订单价格过高，无法受理"),
    ERROR_CODE_84078(84078, "购买人数不正确"),
    ERROR_CODE_84079(84079, "价格策略不存在"),
    ERROR_CODE_84080(84080, "订单不存在"),
    ERROR_CODE_84081(84081, "存在未支付订单"),
    ERROR_CODE_84082(84082, "存在申请退款中的订单"),
    ERROR_CODE_84083(84083, "非服务人员"),
    ERROR_CODE_84084(84084, "非跟进用户"),
    ERROR_CODE_84085(84085, "应用已下架"),
    ERROR_CODE_84086(84086, "订单人数超过可购买最大人数"),
    ERROR_CODE_84087(84087, "打开订单支付前禁止关闭订单"),
    ERROR_CODE_84088(84088, "禁止关闭已支付的订单"),
    ERROR_CODE_84089(84089, "订单已支付"),
    ERROR_CODE_84090(84090, "缺失user_ticket"),
    ERROR_CODE_84091(84091, "订单价格不可低于下限"),
    ERROR_CODE_84092(84092, "无法发起代下单操作"),
    ERROR_CODE_84093(84093, "代理关系已占用，无法代下单"),
    ERROR_CODE_84094(84094, "该应用未配置代理分润规则，请先联系应用服务商处理"),
    ERROR_CODE_84095(84095, "免费试用版，无法扩容"),
    ERROR_CODE_84096(84096, "免费试用版，无法续期"),
    ERROR_CODE_84097(84097, "当前企业有未处理订单"),
    ERROR_CODE_84098(84098, "固定总量，无法扩容"),
    ERROR_CODE_84099(84099, "非购买状态，无法扩容"),
    ERROR_CODE_84100(84100, "未购买过此应用，无法续期"),
    ERROR_CODE_84101(84101, "企业已试用付费版本，无法全新购买"),
    ERROR_CODE_84102(84102, "企业当前应用状态已过期，无法扩容"),
    ERROR_CODE_84103(84103, "仅可修改未支付订单"),
    ERROR_CODE_84104(84104, "订单已支付，无法修改"),
    ERROR_CODE_84105(84105, "订单已被取消，无法修改"),
    ERROR_CODE_84106(84106, "企业含有该应用的待支付订单，无法代下单"),
    ERROR_CODE_84107(84107, "企业含有该应用的退款中订单，无法代下单"),
    ERROR_CODE_84108(84108, "企业含有该应用的待生效订单，无法代下单"),
    ERROR_CODE_84109(84109, "订单定价不能未0"),
    ERROR_CODE_84110(84110, "新安装应用不在试用状态，无法升级为付费版"),
    ERROR_CODE_84111(84111, "无足够可用优惠券"),
    ERROR_CODE_84112(84112, "无法关闭未支付订单"),
    ERROR_CODE_84113(84113, "无付费信息"),
    ERROR_CODE_84114(84114, "虚拟版本不支持下单"),
    ERROR_CODE_84115(84115, "虚拟版本不支持扩容"),
    ERROR_CODE_84116(84116, "虚拟版本不支持续期"),
    ERROR_CODE_84117(84117, "在虚拟正式版期内不能扩容"),
    ERROR_CODE_84118(84118, "虚拟正式版期内不能变更版本"),
    ERROR_CODE_84119(84119, "当前企业未报备，无法进行代下单"),
    ERROR_CODE_84120(84120, "当前应用版本已删除"),
    ERROR_CODE_84121(84121, "应用版本已删除，无法扩容"),
    ERROR_CODE_84122(84122, "应用版本已删除，无法续期"),
    ERROR_CODE_84123(84123, "非虚拟版本，无法升级"),
    ERROR_CODE_84124(84124, "非行业方案订单，不能添加部分应用版本的订单"),
    ERROR_CODE_84125(84125, "购买人数不能少于最少购买人数"),
    ERROR_CODE_84126(84126, "购买人数不能多于最大购买人数"),
    ERROR_CODE_84127(84127, "无应用管理权限"),
    ERROR_CODE_84128(84128, "无该行业方案下全部应用的管理权限"),
    ERROR_CODE_84129(84129, "付费策略已被删除，无法下单"),
    ERROR_CODE_84130(84130, "订单生效时间不合法"),
    ERROR_CODE_84200(84200, "文件转译解析错误"),
    ERROR_CODE_85002(85002, "包含不合法的词语"),
    ERROR_CODE_85004(85004, "每企业每个月设置的可信域名不可超过20个"),
    ERROR_CODE_85005(85005, "可信域名未通过所有权校验"),
    ERROR_CODE_86001(86001, "参数 chatid 不合法"),
    ERROR_CODE_86003(86003, "参数 chatid 不存在"),
    ERROR_CODE_86004(86004, "参数 群名不合法"),
    ERROR_CODE_86005(86005, "参数 群主不合法"),
    ERROR_CODE_86006(86006, "群成员数过多或过少"),
    ERROR_CODE_86007(86007, "不合法的群成员"),
    ERROR_CODE_86008(86008, "非法操作非自己创建的群"),
    ERROR_CODE_86101(86101, "仅群主才有操作权限"),
    ERROR_CODE_86201(86201, "参数 需要chatid"),
    ERROR_CODE_86202(86202, "参数 需要群名"),
    ERROR_CODE_86203(86203, "参数 需要群主"),
    ERROR_CODE_86204(86204, "参数 需要群成员"),
    ERROR_CODE_86205(86205, "参数 字符串chatid过长"),
    ERROR_CODE_86206(86206, "参数 数字chatid过大"),
    ERROR_CODE_86207(86207, "群主不在群成员列表"),
    ERROR_CODE_86214(86214, "群发类型不合法"),
    ERROR_CODE_86215(86215, "会话ID已经存在"),
    ERROR_CODE_86216(86216, "存在非法会话成员ID"),
    ERROR_CODE_86217(86217, "会话发送者不在会话成员列表中"),
    ERROR_CODE_86220(86220, "指定的会话参数不合法"),
    ERROR_CODE_86224(86224, "不是受限群，不允许使用该接口"),
    ERROR_CODE_90001(90001, "未认证摇一摇周边"),
    ERROR_CODE_90002(90002, "缺少摇一摇周边ticket参数"),
    ERROR_CODE_90003(90003, "摇一摇周边ticket参数不合法"),
    ERROR_CODE_90100(90100, "非法的对外属性类型"),
    ERROR_CODE_90101(90101, "对外属性：文本类型长度不合法"),
    ERROR_CODE_90102(90102, "对外属性：网页类型标题长度不合法"),
    ERROR_CODE_90103(90103, "对外属性：网页url不合法"),
    ERROR_CODE_90104(90104, "对外属性：小程序类型标题长度不合法"),
    ERROR_CODE_90105(90105, "对外属性：小程序类型pagepath不合法"),
    ERROR_CODE_90106(90106, "对外属性：请求参数不合法"),
    ERROR_CODE_90200(90200, "缺少小程序appid参数"),
    ERROR_CODE_90201(90201, "小程序通知的content_item个数超过限制"),
    ERROR_CODE_90202(90202, "小程序通知中的key长度不合法"),
    ERROR_CODE_90203(90203, "小程序通知中的value长度不合法"),
    ERROR_CODE_90204(90204, "小程序通知中的page参数不合法"),
    ERROR_CODE_90206(90206, "小程序未关联到企业中"),
    ERROR_CODE_90207(90207, "不合法的小程序appid"),
    ERROR_CODE_90208(90208, "小程序appid不匹配"),
    ERROR_CODE_90211(90211, "登录时传入的suiteid不合法"),
    ERROR_CODE_90212(90212, "登录时传入的suiteid和使用的小程序绑定的第三方应用不匹配"),
    ERROR_CODE_90300(90300, "orderid 不合法"),
    ERROR_CODE_90302(90302, "付费应用已过期"),
    ERROR_CODE_90303(90303, "付费应用超过最大使用人数"),
    ERROR_CODE_90304(90304, "订单中心服务异常，请稍后重试"),
    ERROR_CODE_90305(90305, "参数错误，errmsg中有提示具体哪个参数有问题"),
    ERROR_CODE_90306(90306, "商户设置不合法，详情请见errmsg"),
    ERROR_CODE_90307(90307, "登录态过期"),
    ERROR_CODE_90308(90308, "在开启IP鉴权的前提下，识别为无效的请求IP"),
    ERROR_CODE_90309(90309, "订单已经存在，请勿重复下单"),
    ERROR_CODE_90310(90310, "找不到订单"),
    ERROR_CODE_90311(90311, "关单失败, 可能原因：该单并没被拉起支付页面; 已经关单；已经支付；渠道失败；单处于保护状态；等等"),
    ERROR_CODE_90312(90312, "退款请求失败, 详情请看errmsg"),
    ERROR_CODE_90313(90313, "退款调用频率限制，超过规定的阈值"),
    ERROR_CODE_90314(90314, "订单状态错误，可能未支付，或者当前状态操作受限"),
    ERROR_CODE_90315(90315, "退款请求失败，主键冲突，请核实退款refund_id是否已使用"),
    ERROR_CODE_90316(90316, "退款原因编号不对"),
    ERROR_CODE_90317(90317, "尚未注册成为供应商"),
    ERROR_CODE_90318(90318, "参数nonce_str 为空或者重复，判定为重放攻击"),
    ERROR_CODE_90319(90319, "时间戳为空或者与系统时间间隔太大"),
    ERROR_CODE_90320(90320, "订单token无效"),
    ERROR_CODE_90321(90321, "订单token已过有效时间"),
    ERROR_CODE_90322(90322, "旧套件（包含多个应用的套件）不支持支付系统"),
    ERROR_CODE_90323(90323, "单价超过限额"),
    ERROR_CODE_90324(90324, "商品数量超过限额"),
    ERROR_CODE_90325(90325, "预支单已经存在"),
    ERROR_CODE_90326(90326, "预支单单号非法"),
    ERROR_CODE_90327(90327, "该预支单已经结算下单"),
    ERROR_CODE_90328(90328, "结算下单失败，详情请看errmsg"),
    ERROR_CODE_90329(90329, "该订单号已经被预支单占用"),
    ERROR_CODE_90330(90330, "创建供应商失败"),
    ERROR_CODE_90331(90331, "更新供应商失败"),
    ERROR_CODE_90332(90332, "还没签署合同"),
    ERROR_CODE_90333(90333, "创建合同失败"),
    ERROR_CODE_90338(90338, "已经过了可退款期限"),
    ERROR_CODE_90339(90339, "供应商主体名包含非法字符"),
    ERROR_CODE_90340(90340, "创建客户失败，可能信息真实性校验失败"),
    ERROR_CODE_90341(90341, "退款金额大于付款金额"),
    ERROR_CODE_90342(90342, "退款金额超过账户余额"),
    ERROR_CODE_90343(90343, "退款单号已经存在"),
    ERROR_CODE_90344(90344, "指定的付款渠道无效"),
    ERROR_CODE_90345(90345, "超过5w人民币不可指定微信支付渠道"),
    ERROR_CODE_90346(90346, "同一单的退款次数超过限制"),
    ERROR_CODE_90347(90347, "退款金额不可为0"),
    ERROR_CODE_90348(90348, "管理端没配置支付密钥"),
    ERROR_CODE_90349(90349, "记录数量太大"),
    ERROR_CODE_90350(90350, "银行信息真实性校验失败"),
    ERROR_CODE_90351(90351, "应用状态异常"),
    ERROR_CODE_90352(90352, "延迟试用期天数超过限制"),
    ERROR_CODE_90353(90353, "预支单列表不可为空"),
    ERROR_CODE_90354(90354, "预支单列表数量超过限制"),
    ERROR_CODE_90355(90355, "关联有退款预支单，不可删除"),
    ERROR_CODE_90356(90356, "不能0金额下单"),
    ERROR_CODE_90357(90357, "代下单必须指定支付渠道"),
    ERROR_CODE_90358(90358, "预支单或代下单，不支持部分退款"),
    ERROR_CODE_90359(90359, "预支单与下单者企业不匹配"),
    ERROR_CODE_90381(90381, "参数 refunded_credit_orderid 不合法"),
    ERROR_CODE_90456(90456, "必须指定组织者"),
    ERROR_CODE_90457(90457, "日历ID异常"),
    ERROR_CODE_90458(90458, "日历ID列表不能为空"),
    ERROR_CODE_90459(90459, "日历已删除"),
    ERROR_CODE_90460(90460, "日程已删除"),
    ERROR_CODE_90461(90461, "日程ID异常"),
    ERROR_CODE_90462(90462, "日程ID列表不能为空"),
    ERROR_CODE_90463(90463, "不能变更组织者"),
    ERROR_CODE_90464(90464, "参与者数量超过限制"),
    ERROR_CODE_90465(90465, "不支持的重复类型"),
    ERROR_CODE_90466(90466, "不能操作别的应用创建的日历/日程"),
    ERROR_CODE_90467(90467, "星期参数异常"),
    ERROR_CODE_90468(90468, "不能变更组织者"),
    ERROR_CODE_90469(90469, "每页大小超过限制"),
    ERROR_CODE_90470(90470, "页数异常"),
    ERROR_CODE_90471(90471, "提醒时间异常"),
    ERROR_CODE_90472(90472, "没有日历/日程操作权限"),
    ERROR_CODE_90473(90473, "颜色参数异常"),
    ERROR_CODE_90474(90474, "组织者不能与参与者重叠"),
    ERROR_CODE_90475(90475, "不是组织者的日历"),
    ERROR_CODE_90479(90479, "不允许操作用户创建的日程"),
    ERROR_CODE_90500(90500, "群主并未离职"),
    ERROR_CODE_90501(90501, "该群不是客户群"),
    ERROR_CODE_90502(90502, "群主已经离职"),
    ERROR_CODE_90503(90503, "满人 & 99个微信成员，没办法踢，要客户端确认"),
    ERROR_CODE_90504(90504, "群主没变"),
    ERROR_CODE_90507(90507, "离职群正在继承处理中"),
    ERROR_CODE_90508(90508, "离职群已经继承"),
    ERROR_CODE_90509(90509, "非企业微信客户群"),
    ERROR_CODE_90510(90510, "企业一年内无活跃用户"),
    ERROR_CODE_90511(90511, "opengid不存在或者无效"),
    ERROR_CODE_90603(90603, "事件分类id不合法"),
    ERROR_CODE_90604(90604, "网格单元id不合法"),
    ERROR_CODE_90606(90606, "该网格单元管理员达到上限，一个网格单元最多有20个管理员"),
    ERROR_CODE_90607(90607, "含有成员的网格单元不能被删除"),
    ERROR_CODE_90608(90608, "网格单元的名字重复了"),
    ERROR_CODE_90609(90609, "网格单元的成员数超过上限"),
    ERROR_CODE_90610(90610, "网格单元的成员数超过上限"),
    ERROR_CODE_91040(91040, "获取ticket的类型无效"),
    ERROR_CODE_92000(92000, "成员不在应用可见范围之内"),
    ERROR_CODE_92001(92001, "应用没有敏感信息权限"),
    ERROR_CODE_92002(92002, "不允许跨企业调用"),
    ERROR_CODE_92003(92003, "不允许跨应用调用"),
    ERROR_CODE_92006(92006, "该直播已经开始或取消"),
    ERROR_CODE_92007(92007, "该直播回放不能被删除"),
    ERROR_CODE_92008(92008, "当前应用没权限操作这个直播"),
    ERROR_CODE_93000(93000, "机器人webhookurl不合法或者机器人已经被移除出群"),
    ERROR_CODE_93004(93004, "机器人被停用"),
    ERROR_CODE_93008(93008, "不在群里"),
    ERROR_CODE_94000(94000, "应用未开启工作台自定义模式"),
    ERROR_CODE_94001(94001, "不合法的type类型"),
    ERROR_CODE_94002(94002, "缺少keydata字段"),
    ERROR_CODE_94003(94003, "keydata的items列表长度超出限制"),
    ERROR_CODE_94005(94005, "缺少list字段"),
    ERROR_CODE_94006(94006, "list的items列表长度超出限制"),
    ERROR_CODE_94007(94007, "缺少webview字段"),
    ERROR_CODE_94008(94008, "应用未设置自定义工作台模版类型"),
    ERROR_CODE_95000(95000, "不合法的open_kfid"),
    ERROR_CODE_95001(95001, "发送客服消息次数限制"),
    ERROR_CODE_95002(95002, "发送客服消息时间限制"),
    ERROR_CODE_95003(95003, "发送客服消息可接待客户咨询数限制"),
    ERROR_CODE_95004(95004, "open_kfid不存在"),
    ERROR_CODE_95005(95005, "客服帐号数超过限制"),
    ERROR_CODE_95006(95006, "不合法的客服帐号名"),
    ERROR_CODE_95007(95007, "不合法的msgtoken"),
    ERROR_CODE_95008(95008, "菜单消息的菜单项个数超过上限"),
    ERROR_CODE_95009(95009, "不合法的菜单消息的菜单项类型"),
    ERROR_CODE_95012(95012, "未在企业微信使用微信客服"),
    ERROR_CODE_95013(95013, "会话已经结束"),
    ERROR_CODE_95014(95014, "用户不是接待人员"),
    ERROR_CODE_95015(95015, "管理端已经配置了专属服务"),
    ERROR_CODE_95016(95016, "不允许这种状态转移"),
    ERROR_CODE_95017(95017, "系统应用权限下，api开关处于关闭状态"),
    ERROR_CODE_95018(95018, "发送客服消息时当前会话状态不允许发送"),
    ERROR_CODE_301002(301002, "无权限操作指定的应用"),
    ERROR_CODE_301005(301005, "不允许删除创建者"),
    ERROR_CODE_301012(301012, "参数 position 不合法"),
    ERROR_CODE_301013(301013, "参数 telephone 不合法"),
    ERROR_CODE_301014(301014, "参数 english_name 不合法"),
    ERROR_CODE_301015(301015, "参数 mediaid 不合法"),
    ERROR_CODE_301016(301016, "上传语音文件不符合系统要求"),
    ERROR_CODE_301017(301017, "上传语音文件仅支持AMR格式"),
    ERROR_CODE_301021(301021, "参数 userid 无效"),
    ERROR_CODE_301022(301022, "获取打卡数据失败"),
    ERROR_CODE_301023(301023, "useridlist非法或超过限额"),
    ERROR_CODE_301024(301024, "获取打卡记录时间间隔超限"),
    ERROR_CODE_301025(301025, "审批开放接口参数错误"),
    ERROR_CODE_301036(301036, "不允许更新该用户的userid"),
    ERROR_CODE_301039(301039, "请求参数错误，请检查输入参数"),
    ERROR_CODE_301042(301042, "ip白名单限制，请求ip不在设置白名单范围"),
    ERROR_CODE_301048(301048, "sdkfileid对应的文件不存在或已过期"),
    ERROR_CODE_301052(301052, "会话存档服务已过期"),
    ERROR_CODE_301053(301053, "会话存档服务未开启"),
    ERROR_CODE_301058(301058, "拉取会话数据请求超过大小限制，可减少limit参数"),
    ERROR_CODE_301059(301059, "非内部群，不提供数据"),
    ERROR_CODE_301060(301060, "拉取同意情况请求量过大，请减少到100个参数以下"),
    ERROR_CODE_301061(301061, "userid或者exteropenid用户不存在"),
    ERROR_CODE_302003(302003, "批量导入任务的文件中userid有重复"),
    ERROR_CODE_302004(302004, "组织架构不合法（1不是一棵树，2 多个一样的partyid，3 partyid空，4 partyid name 空，5 同一个父节点下有两个子节点 部门名字一样 可能是以上情况，请一一排查）"),
    ERROR_CODE_302005(302005, "批量导入系统失败，请重新尝试导入"),
    ERROR_CODE_302006(302006, "批量导入任务的文件中partyid有重复"),
    ERROR_CODE_302007(302007, "批量导入任务的文件中，同一个部门下有两个子部门名字一样"),
    ERROR_CODE_2000002(2000002, "CorpId参数无效"),
    ERROR_CODE_600001(600001, "不合法的sn"),
    ERROR_CODE_600002(600002, "设备已注册"),
    ERROR_CODE_600003(600003, "不合法的硬件activecode"),
    ERROR_CODE_600004(600004, "该硬件尚未授权任何企业"),
    ERROR_CODE_600005(600005, "硬件Secret无效"),
    ERROR_CODE_600007(600007, "缺少硬件sn"),
    ERROR_CODE_600008(600008, "缺少nonce参数"),
    ERROR_CODE_600009(600009, "缺少timestamp参数"),
    ERROR_CODE_600010(600010, "缺少signature参数"),
    ERROR_CODE_600011(600011, "签名校验失败"),
    ERROR_CODE_600012(600012, "长连接已经注册过设备"),
    ERROR_CODE_600013(600013, "缺少activecode参数"),
    ERROR_CODE_600014(600014, "设备未网络注册"),
    ERROR_CODE_600015(600015, "缺少secret参数"),
    ERROR_CODE_600016(600016, "设备未激活"),
    ERROR_CODE_600018(600018, "无效的起始结束时间"),
    ERROR_CODE_600020(600020, "设备未登录"),
    ERROR_CODE_600021(600021, "设备sn已存在"),
    ERROR_CODE_600023(600023, "时间戳已失效"),
    ERROR_CODE_600024(600024, "固件大小超过5M"),
    ERROR_CODE_600025(600025, "固件名为空或者超过20字节"),
    ERROR_CODE_600026(600026, "固件信息不存在"),
    ERROR_CODE_600027(600027, "非法的固件参数"),
    ERROR_CODE_600028(600028, "固件版本已存在"),
    ERROR_CODE_600029(600029, "非法的固件版本"),
    ERROR_CODE_600030(600030, "缺少固件版本参数"),
    ERROR_CODE_600031(600031, "硬件固件不允许升级"),
    ERROR_CODE_600032(600032, "无法解析硬件二维码"),
    ERROR_CODE_600033(600033, "设备型号id冲突"),
    ERROR_CODE_600034(600034, "指纹数据大小超过限制"),
    ERROR_CODE_600035(600035, "人脸数据大小超过限制"),
    ERROR_CODE_600036(600036, "设备sn冲突"),
    ERROR_CODE_600037(600037, "缺失设备型号id"),
    ERROR_CODE_600038(600038, "设备型号不存在"),
    ERROR_CODE_600039(600039, "不支持的设备类型"),
    ERROR_CODE_600040(600040, "打印任务id不存在"),
    ERROR_CODE_600041(600041, "无效的offset或limit参数值"),
    ERROR_CODE_600042(600042, "无效的设备型号id"),
    ERROR_CODE_600043(600043, "门禁规则未设置"),
    ERROR_CODE_600044(600044, "门禁规则不合法"),
    ERROR_CODE_600045(600045, "设备已订阅企业信息"),
    ERROR_CODE_600046(600046, "操作id和用户userid不匹配"),
    ERROR_CODE_600047(600047, "secretno的status非法"),
    ERROR_CODE_600048(600048, "无效的指纹算法"),
    ERROR_CODE_600049(600049, "无效的人脸识别算法"),
    ERROR_CODE_600050(600050, "无效的算法长度"),
    ERROR_CODE_600051(600051, "设备过期"),
    ERROR_CODE_600052(600052, "无效的文件分块"),
    ERROR_CODE_600053(600053, "该链接已经激活"),
    ERROR_CODE_600054(600054, "该链接已经订阅"),
    ERROR_CODE_600055(600055, "无效的用户类型"),
    ERROR_CODE_600056(600056, "无效的健康状态"),
    ERROR_CODE_600057(600057, "缺少体温参数"),
    ERROR_CODE_610001(610001, "永久二维码超过每个员工5000的限制"),
    ERROR_CODE_610003(610003, "scene参数不合法"),
    ERROR_CODE_610004(610004, "userid不在客户联系配置的使用范围内"),
    ERROR_CODE_610014(610014, "无效的unionid"),
    ERROR_CODE_610015(610015, "小程序对应的开放平台账号未认证"),
    ERROR_CODE_610016(610016, "企业未认证"),
    ERROR_CODE_610017(610017, "小程序和企业主体不一致"),
    ERROR_CODE_640001(640001, "微盘不存在当前空间"),
    ERROR_CODE_640002(640002, "文件不存在"),
    ERROR_CODE_640003(640003, "文件已删除"),
    ERROR_CODE_640004(640004, "无权限访问"),
    ERROR_CODE_640005(640005, "成员不在空间内"),
    ERROR_CODE_640006(640006, "超出当前成员拥有的容量"),
    ERROR_CODE_640007(640007, "超出微盘的容量"),
    ERROR_CODE_640008(640008, "没有空间权限"),
    ERROR_CODE_640009(640009, "非法文件名"),
    ERROR_CODE_640010(640010, "超出空间的最大成员数"),
    ERROR_CODE_640011(640011, "json格式不匹配"),
    ERROR_CODE_640012(640012, "非法的userid"),
    ERROR_CODE_640013(640013, "非法的departmentid"),
    ERROR_CODE_640014(640014, "空间没有有效的管理员"),
    ERROR_CODE_640015(640015, "不支持设置预览权限"),
    ERROR_CODE_640016(640016, "不支持设置文件水印"),
    ERROR_CODE_640017(640017, "微盘管理端未开通API 权限"),
    ERROR_CODE_640018(640018, "微盘管理端未设置编辑权限"),
    ERROR_CODE_640019(640019, "API 调用次数超出限制"),
    ERROR_CODE_640020(640020, "非法的权限类型"),
    ERROR_CODE_640021(640021, "非法的fatherid"),
    ERROR_CODE_640022(640022, "非法的文件内容的base64"),
    ERROR_CODE_640023(640023, "非法的权限范围"),
    ERROR_CODE_640024(640024, "非法的fileid"),
    ERROR_CODE_640025(640025, "非法的space_name"),
    ERROR_CODE_640026(640026, "非法的spaceid"),
    ERROR_CODE_640027(640027, "参数错误"),
    ERROR_CODE_640028(640028, "空间设置了关闭成员邀请链接"),
    ERROR_CODE_640029(640029, "只支持下载普通文件，不支持下载文件夹等其他非文件实体类型"),
    ERROR_CODE_844001(844001, "非法的output_file_format"),
    ERROR_CODE_60252(60252, "非法的openkfid"),
    ERROR_CODE_60251(60251, "缺少openkfid"),
    ERROR_CODE_60253(60253, "客服不在接待人员列表中");


    private Integer errorCode;
    private String errorMsg;

    WeErrorCodeEnum(Integer errorCode, String errorMsg) {
        this.errorCode = errorCode;
        this.errorMsg = errorMsg;
    }

    public static WeErrorCodeEnum parseEnum(int errorCode) {
        WeErrorCodeEnum[] errorCodeEnums = WeErrorCodeEnum.values();
        for (WeErrorCodeEnum errorCodeEnum : errorCodeEnums) {
            if (errorCodeEnum.getErrorCode() == errorCode) {
                return errorCodeEnum;
            }
        }
        return null;
    }
}
